<?php

use Illuminate\Http\Request;

/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| is assigned the "api" middleware group. Enjoy building your API!
|
*/

Route::prefix('user')->group(function(){
    Route::post('login', 'Auth\LoginController@loginAPI');
    Route::post('register', 'Auth\RegisterController@createAPI');
});

Route::prefix('store')->group(function(){
    Route::post('login', 'Auth\StoreLoginController@loginAPI');
    Route::post('register', 'Auth\StoreRegisterController@createAPI');
});

Route::middleware('auth:api')->get('/user', function (Request $request) {
    return $request->user();
});

Route::apiResource('receiptItem', 'ReceiptItemController');
Route::apiResource('receipt', 'ReceiptController');