<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('welcome');
});

Auth::routes();

Route::get('/home', 'HomeController@index')->name('home');

# Barcode example
Route::get('barcode', 'Auth\RegisterController@makeBarcodeExample');


Route::prefix('store')->group(function(){
    Route::get('/login', 'Auth\StoreLoginController@showLoginForm')->name('store.login');
    Route::post('/login', 'Auth\StoreLoginController@login')->name('store.login.submit');
    Route::get('/register', 'Auth\StoreRegisterController@showRegisterForm')->name('store.register');
    Route::post('/register', 'Auth\StoreRegisterController@create')->name('store.register.submit');
    Route::get('/', 'StoreController@index')->name('store.dashboard');
});